#ifndef MDD_IUNIQUE_H
#define MDD_IUNIQUE_H
#include <string>

namespace mdd{
    class IUnique{
    public:
        virtual std::string setType(std::string type) = 0;
        virtual std::string getType() = 0;
        virtual std::string getID() = 0;
        virtual std::string setPrefix(std::string prefix) = 0;
        virtual std::string setAppendix(int appendix) = 0;
    };
}
#endif
